List shareholders
curl --request GET \
--url https://api.syntage.com/shareholders \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/shareholders"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/shareholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/Shareholder",
"@id": "/shareholders",
"@type": "hydra:Collection",
"hydra:member": [
{
"id": "91ab5678-1234-5678-9abc-def012345678",
"name": "JUAN MANUEL PEREZ GONZALEZ",
"type": "physical",
"rfc": "PEIC211118IS0",
"relations": [
{
"id": "82cd9012-3456-7890-abcd-ef1234567890",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"shareholder": "<unknown>",
"relationType": "shareholders",
"sources": [
{
"id": "73de0123-4567-8901-bcde-f23456789012",
"relation": "<unknown>",
"shareholder": "<unknown>",
"sourceName": "manual",
"sourceId": "64ef1234-5678-9012-cdef-345678901234",
"shares": 1500.5,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678/relations/82cd9012-3456-7890-abcd-ef1234567890/sources/73de0123-4567-8901-bcde-f23456789012",
"@type": "ShareholderRelationsSource"
}
],
"shares": 1500.5,
"totalShares": 10000,
"ownership": 0.15,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678/relations/82cd9012-3456-7890-abcd-ef1234567890",
"@type": "ShareholderRelation"
}
],
"entity": "/entities/91ab5678-1234-5678-9abc-def012345678",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678",
"@type": "Shareholder"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}Shareholders
List shareholders
Lists shareholders available to the organization. Use this endpoint when you need to search shareholders across entities.
GET
/
shareholders
List shareholders
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
Required range:
1 <= x <= 1000Filter shareholders by type
Available options:
physical, legal, unknown Filter shareholders by name (supports partial matching)
Filter shareholders by RFC (supports partial matching)
Order by name
Available options:
asc, desc Example:
"asc"
Order by resource creation date
Available options:
asc, desc Example:
"asc"
Order by resource update date
Available options:
asc, desc Example:
"asc"
Was this page helpful?
⌘I